#
# spec file for package dvdisaster
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines

Name:           dvdisaster
Version:        0.79.5
Release:        1.1
Summary:        Additional error protection for CD/DVD media

License:        GPL-3.0
Group:          Applications/Archiving
Url:            http://dvdisaster.net/en/index.html
Source0:        %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM davejplater@gmail.com Fix scripts/bash-based-configure to work in Tumbleweed.
Patch0:         dvdisaster-findmake.patch
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(libpng16)
Requires:       dvdisaster-docs = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
%{name} provides a margin of safety against data loss on CD and DVD media
caused by scratches or aging. It creates error correction data,
which is used to recover unreadable sectors if the disc becomes damaged
at a later time.

%description -l cs
%{name} poskytuje dodatečnou ochranu proti ztrátě dat na médiích CD a DVD
způsobených poškrábáním nebo stárnutím. Vytváří data oprav chyb, která
jsou použita pro obnovu nečitelných sektorů, pokud se disk později
poškodí.

%description -l de
%{name} erzeugt einen Sicherheitspuffer gegen Datenverluste, die auf
CD- und DVD-Datenträgern durch Alterung oder Kratzer entstehen. Es erzeugt
Fehlerkorrekturdaten, um bei nachfolgenden Datenträger-Problemen unlesbare
Sektoren zu rekonstruieren.

%description -l it
%{name} offre un margine di sicurezza contro la perdita di dati dei supporti
CD e DVD causata dall'invecchiamento e dai graffi. Crea dei dati di correzione
degli errori che saranno poi utilizzati per recuperare i settori illeggibili
se il supporto dovesse danneggiarsi col tempo.

%package docs
Summary:        PDF Documentation for dvdisaster
Group:          Documentation/Other
Summary:        Additional error protection for CD/DVD media
BuildArch:      noarch

%description docs
Documentation package for using dvdisaster in PDF format.

%prep
%setup -q
%patch0
gmake -v | grep "GNU Make" && echo $# || echo $#

%build
%configure --with-nls=yes \
           --docdir=%{_docdir} \
           --docsubdir=%{name} \
           --localedir=%{_datadir}/locale \
           --buildroot=%{buildroot}
make V=1
# Parallel make breaks translations sometimes.
#%%{?_smp_mflags}
%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_bindir}/dvdisaster-uninstall.sh
%find_lang dvdisaster

%files -f dvdisaster.lang
%defattr(-,root,root,-)
%{_bindir}/dvdisaster
%doc README CHANGELOG COPYING CREDITS.de CREDITS.en README.MODIFYING TODO
%{_mandir}/de/man1/dvdisaster.1.gz
%{_mandir}/man1/dvdisaster.1.gz
%exclude %{_docdir}/%{name}/manual.pdf

%files docs
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}/manual.pdf

%changelog
* Sun Oct 23 2016 davejplater@gmail.com
- Created initial package, version 0.79.5
